# service_data.hpp File Reference

`#include <string>`
`#include <vector>`
`#include <saga/saga/util.hpp>`
`#include <saga/saga/base.hpp>`
`#include <saga/saga/types.hpp>`
`#include <saga/saga/session.hpp>`
`#include <saga/saga/call.hpp>`
`#include <saga/saga/detail/attribute.hpp>`
`#include <saga/saga/packages/sd/config.hpp>`

Go to the source code of this file.

## Namespaces
namespace | saga
namespace | saga::sd
## Classes
class | saga::sd::service_data